"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Grid = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_unistyles_1 = require("react-native-unistyles");
const context_1 = require("../context");
const types_1 = require("../types");
const Grid = ({ children, cols = { [types_1.sm]: 1 }, style }) => {
    const { styles } = (0, react_native_unistyles_1.useStyles)(stylesheet);
    return (react_1.default.createElement(context_1.GridContext.Provider, { value: {
            cols,
        } },
        react_1.default.createElement(react_native_1.View, { "aria-label": "grid", style: [styles.procyon_grid_container, style] }, children)));
};
exports.Grid = Grid;
const stylesheet = (0, react_native_unistyles_1.createStyleSheet)({
    procyon_grid_container: {
        display: 'flex',
    },
});
